#include <stdio.h>
int main(int argc, char** argv)
{
	int a,b,x,y;
	scanf("%d %d",&a,&b);
	scanf("%d %d",&x,&y);
	if(a==x&&b>y)
	{
		printf("drugi");
	}
	else if(b==y&&a>x)
	{
		printf("prvi");
	}
	else if(a==x&&b==y)
	{
		printf("nijedan");
	}
	else
	{
		printf("?");
	}
	return 0;
}